class TokenModel {
  String? accessToken;
  int? expiresIn;
  String? tokenType;
  String? scope;
  String? error;

  TokenModel({this.accessToken, this.expiresIn, this.tokenType, this.scope, this.error});

  TokenModel.fromJson(Map<String, dynamic> json) {
    accessToken = json['access_token'];
    expiresIn = json['expires_in'];
    tokenType = json['token_type'];
    scope = json['scope'];
    error = json['error'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['access_token'] = accessToken;
    data['expires_in'] = expiresIn;
    data['token_type'] = tokenType;
    data['scope'] = scope;
    data['error'] = error;
    return data;
  }
}
