import 'package:award_app_api_service_flutter/app_configure/app_configure.dart';

class Endpoints {
  // MARK: core url
  static String baseUrl = AppConfigure.getEndpoint();

  // MARK: receiveTimeout
  static const int receiveTimeout = 5000;

  // MARK: connectTimeout
  static const int connectionTimeout = 5000;

  // MARK: - Stamp
  static const getToken = "/identity/connect/token";
  static const createGuestUser = "/identity/api/account/guest";
  static const getCouponList = "/coupon/Coupon/all/";
  static const couponService = "/qrcode/QRCode/scan";
  static const openCoupon = "/coupon/Coupon/open/";

  // MARK: - Coin
  static const getUserCoin = "/coin/Coin/coininfo/";
  static const getCoinTransaction = "/coin/Coin/cointransaction/";
  static const payCoin = "/qrcode/QRCode/scan";
  static const chargeCoin = "/qrcode/QRCode/scan";

  // MARK: - Minigame
  static const getPlayableCount = "/minigame/Minigame/playablecount/";
  static const playGame = "/minigame/Minigame/playgame/";

  // MARK: - Notification
  static const coinNotification = "/notification/Notification/";
}
